#include<iostream>

using namespace std;

int main(){
int n, Z, T, A, najv, najm, m;
cin >> n;
cin >> m;
int matrica [n] [2];
for(int i = 0; i < n; i++){
cin >> matrica [i] [0];
cin >> matrica [i] [1];
}
int R1 [m];
for(int M1 = 0; M1 < m; M1++){
int S = 0;
cin >> Z;
cin >> T;
cin >> A;
for(int i = Z - 1; i < T; i++){
najm = matrica [i] [0];
najv = matrica [i] [1];
    if(najm <= A and najv >= A){
    S++;
    }
}
if(S > 0){
R1 [M1] = 1;
}
else{
R1 [M1] = 0;
}
}
for(int i = 0; i < m; i++){
cout << R1 [i] << endl;
}
}